prefix = /usr/local
CC = gcc
VERSION = 0.9.3
CPPFLAGS = -DGNOME_APPLET -DPACKAGE=\"gat\" -DVERSION=\"$(VERSION)\"
CFLAGS = -g -Wall -Werror -DORBIT2=1 -pthread -D_REENTRANT -I/usr/include/libgnomeui-2.0 -I/usr/include/libart-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-keyring-1 -I/usr/include/libgnome-2.0 -I/usr/include/libbonoboui-2.0 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/gtk-2.0 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/orbit-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libbonobo-2.0 -I/usr/include/bonobo-activation-2.0 -I/usr/include/libxml2 -I/usr/include/pango-1.0 -I/usr/include/gail-1.0 -I/usr/include/freetype2 -I/usr/include/atk-1.0 -I/usr/lib/gtk-2.0/include -I/usr/include/cairo -I/usr/include/gio-unix-2.0/ -I/usr/include/pixman-1 -I/usr/include/directfb -I/usr/include/libpng12  
LDFLAGS = -pthread -lgnomeui-2 -lSM -lICE -lbonoboui-2 -lgnomevfs-2 -lgnomecanvas-2 -lgnome-2 -lpopt -lbonobo-2 -lbonobo-activation -lORBit-2 -lart_lgpl_2 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgconf-2 -lgmodule-2.0 -lgobject-2.0 -lgthread-2.0 -lrt -lglib-2.0  
PROGRAMS = gat gkill
OBJECTS = at.o at_new.o cron.o cron_new.o gat.o generic_new.o

all: $(PROGRAMS)

gat: $(OBJECTS)

gat-$(VERSION).tar.gz: Makefile .notar
	rm -f gat-$(VERSION)
	ln -sf . gat-$(VERSION)
	tar chvzf $@ --exclude-from=.notar gat-$(VERSION)
	rm -f gat-$(VERSION)

install:
	install -o root -g root gat $(prefix)/bin

clean:
	rm -f $(PROGRAMS) $(OBJECTS)

distclean: clean
	rm -f config.status config.cache config.log Makefile
